﻿using System;

namespace BibliothequeClasses
{
    /// <summary>
    /// Représente un jeton de jeu qui permet de récupérer et de modifier sa couleur.
    /// </summary>
    public abstract class Jeton
    {
        /// <summary>
        /// Initialise une nouvelle instance de la classe Jeton avec la couleur spécifiée.
        /// </summary>
        /// <param name="couleur">La couleur du jeton.</param>
        protected Jeton(Couleur couleur)
        {
            this.Couleur = couleur;
        }

        /// <summary>
        /// Obtient la couleur du jeton.
        /// </summary>
        public Couleur Couleur
        {
            get;
            private set;
        }
    }
}
