﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BibliothequeClasses
{
    /// <summary>
    /// Représente un jeton indicateur, une classe dérivée de la classe Jeton.
    /// </summary>
    public class JetonIndicateur : Jeton
    {
        /// <summary>
        /// Initialise une nouvelle instance de la classe JetonIndicateur avec la couleur spécifiée.
        /// </summary>
        /// <param name="couleur">La couleur du jeton.</param>
        /// <exception cref="ArgumentException">Levée si la couleur spécifiée n'est pas Noir ou Blanc.</exception>
        public JetonIndicateur(Couleur couleur)
            : base(couleur)
        {
            if (couleur < Couleur.Noir)
            {
                throw new ArgumentException("La couleur doit être Noir ou Blanc");
            }
        }
    }
}

