﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System;

namespace BibliothequeClasses
{
    /// <summary>
    /// Représente un joueur dans une partie.
    /// </summary>
    public class Joueur
    {
        private Plateau plateau;
        private bool gagne;

        /// <summary>
        /// Initialise une nouvelle instance de la classe <see cref="Joueur"/> avec le nom spécifié.
        /// </summary>
        /// <param name="nom">Le nom du joueur.</param>
        public Joueur(string nom)
        {
            this.Nom = nom;
            this.plateau = new Plateau();
        }

        /// <summary>
        /// Obtient ou définit le nom du joueur.
        /// </summary>
        public string Nom
        {
            get;
            set;
        }

        /// <summary>
        /// Joue une combinaison pour ce joueur sur le plateau.
        /// </summary>
        /// <param name="combinaisonJoueur">La combinaison à jouer.</param>
        public void JouerCombinaison(CombinaisonJoueur combinaisonJoueur)
        {
            gagne = plateau.AjouterCombinaison(combinaisonJoueur);
        }

        /// <summary>
        /// Détermine si le joueur a gagné la partie.
        /// </summary>
        /// <returns>True si le joueur a gagné, sinon False.</returns>
        public bool AGagne()
        {
            return gagne;
        }
    }
}
